<?php
	$page_title = 'Designs';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Product Designs</h4>
						
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewdesignModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
						
					</div>

					<div class="row">

						<div class="col-md-6 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

						
						<div class="col-md-6 mb-3"><a href="designs.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>

					</div>

					<?php

			    	if( isset($_POST['design-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		if( !empty($_POST['name']) ) {

			    			/*$design = $conn->query("select * from `wd_designs` where `name`='". $_POST['name'] ."'");
			    			
			    			if($design->num_rows > 0 ) {
			    				echo '<div class="alert alert-warning alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Design already exists.
					                </div>';
			    			} else {*/

			    				$image = '';
							  	if($_FILES['file']['name'] != '') {
									$image = image_upload($_FILES['file']);
								}
								if( $image ) {

									/*$svg_file = file_get_contents('assets/uploads/'.$image);

									$doc = new DOMDocument();
									$doc->loadXML($svg_file);
									$svg = $doc->getElementsByTagName('svg');
									$svg_code = $svg->item(0)->C14N();*/

									$product_ids_str = implode('|', $_POST['product_id']);
									
									$design_add = $conn->query( design_insert( $_POST['name'], $image, $product_ids_str, $_POST['price'], $_POST['description'], $_POST['pallete_id'], date("Y/m/d h:i:s A") ) );

									$design_latest_id = $conn->insert_id;

									if( $design_latest_id ) {

										foreach( $_POST['product_id'] as $product_id ) :

											$update_product_design_id = $conn->query("UPDATE `wd_products` SET `design_id`=CONCAT(design_id,'"."|".$design_latest_id."') WHERE `id`='$product_id'");

						            	endforeach;
										
					        			if($design_add && $update_product_design_id) {
					        				echo '<div class="alert alert-success alert-dismissable fade show">
							                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
								                    <strong>Success!</strong> Rocord successfully inserted.
								                </div>';

								            header("refresh:1, url=design-layers.php?id=". $design_latest_id ."");
								            exit();

					        			} else {
					        				echo '<div class="alert alert-danger alert-dismissable fade show">
							                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
								                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
								                </div>';
					        			}
					        		} else {
					        			echo '<div class="alert alert-danger alert-dismissable fade show">
						                    	<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
							                    <strong>Error!</strong> Design insertion not completed.'. $conn->error .'
							                </div>';
					        		}
					        		
				        		} else {
			    					echo '<div class="alert alert-danger alert-dismissable fade show">
					                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Image Missing.
					                </div>';
				    			}
			        		//} 
			    		} else {
			    			echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Error!</strong> Invalid Input.
				                </div>';
			    		}
			    	}

			    	if( isset($_POST['btn-delete']) ) {
			    		$delete_design =  $conn->query( design_delete($_POST['design-id']) );

			    		if( $delete_design ) {
			    			echo '<div class="alert alert-info alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Record successfully deleted!</strong>.
				                </div>';
			    		}
			    	}

					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

				     if( isset($_POST['name_submit']) ) :

				    	$query = design_search_name($_POST['s_name']);

				    elseif( isset($_GET['product_id']) ) :

				    	$query = design_by_product_orderby_id($_GET['product_id']);

				    else :

				    	$query = design_by_id_orderby_id();
				    endif;

				    //$query      = design_select();

				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>
				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
										<?php if($_SESSION['userRole'] == 'admin') { ?>
						            	<th><i class="fas fa-cog"></i></th>
						            	<?php } ?>
						            	<th>Product</th>
										<th>Name</th>
										<th>Thumb</th>
										<th>Price</th>
										<th>Description</th>
										<!-- <th>Gradient</th> -->
										<th>Visibility</th>
										<th>Featured</th>
									</tr>
								</thead>
						         <tbody id="post_list"  data-table_name="wd_designs">
						        	<?php foreach ($results->data as $key => $result) { ?>
						        	<tr data-post_id="<?php echo $result['id']; ?>">
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center">
							        			<a href="design-layers.php?id=<?php echo $result['id']; if( $result['svg'] == 'Master' ) : echo '&lt=Master'; endif; ?>" class="me-1 btn btn-warning">
							        				<i class="fas fa-layer-group"></i>
							        			</a>
							              		<a href="edit.design.php?design_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary">
							              			<i class="fas fa-edit"></i>
							              		</a>
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="design-id" value="<?php echo $result['id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						            	<td>
						        		<?php
							        		$product_ids = explode('|', $result['product_id']);

							        		$totalNumCats = count($product_ids);

							        		foreach( $product_ids as $cat_id ) :
								        		$products = $conn->query( product_by_id($cat_id) );
								        			foreach( $products as $key => $product ) :
							        		?>
							        			<a href="designs.php?product_id=<?php echo $product['id']; ?>" class="btn-link"> 
							        				<?php echo $product['name']; ?>
							        			</a>
							        		<?php if($key != --$totalNumCats) : echo ' | '; endif; endforeach; endforeach; ?>
					        			</td>
						        		<td><?php echo $result['name'] .' '. $result['svg']; ?></td>
						        		<td>
						        			<?php if( $result['main_image'] ) { ?>
					        				<img src="assets/uploads/<?php echo $result['main_image']; ?>" width="100">
						        			<?php } ?>
						        		</td>
						        		<td><?php echo $result['price'];?></td>
						        		<td><?php echo $result['description'];?></td>
						        		<!-- <td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['linear_gradient'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['linear_gradient'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="linear_gradient" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['linear_gradient'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>



						        		</td> -->
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>
						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>
						        	</tr>
						        	<?php } ?>
						        </tbody>
						    </table>
						</div>
				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	

				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewdesignModal" tabindex="-1" aria-labelledby="addNewdesignLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewdesignLabel">Add New Design</h5>
				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				  	</div>
				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
									<option value="">Select Product</option>
									<?php 
									$products = $conn->query(product_select()); 
									if( $products ) :
										foreach ($products as $product) :
									?>
									<option <?php if(isset($_GET['product_id'])) { if( $_GET['product_id'] == $product['id'] ) echo 'selected="selected"'; } ?> value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>
							<div class="col-md-12 form-group">
								<input type="text" placeholder="Name" name="name" class="form-control" required>
							</div>
							<div class="col-md-12 form-group">
								<div class="input-group">
									<span class="input-group-text">$</span>
									<input type="text" placeholder="Price" name="price" class="form-control" value="0">
								</div>
							</div>
							<div class="col-md-12 form-group">
								<textarea placeholder="Description" name="description" class="form-control" rows="4"></textarea>
							</div>
							<div class="col-md-12 form-group">

								<select class="form-select pallete_select_box" style="width: 100%; height: 50px;" name="pallete_id" required multiple>
									<option value="">Select Color Pallette</option>
									<?php 
									$palletes = $conn->query(pallete_select()); 
									if( $palletes ) :
										foreach ($palletes as $pallete) :
									?>
									<option value="<?php echo $pallete['id']; ?>"><?php echo $pallete['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>
							<div class="col-md-12">
								<h4 class="card-title text-center">SVG File</h4>
								<div class="profile-pic-box mb-3">
									<div class="profile-pic">
									  	<label class="-label" for="file">
										    <span class="fas fa-camera"></span>
										    <span>Upload SVG</span>
										    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
									  	</label>
									  	<input id="file" type="file" name="file" accept=".svg" onchange="loadFile(event)">
									  	<img src="img/placeholder.png" id="output" alt="">
									</div>
								</div>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="design-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	var loadFile = function (event) {
	  var image = document.getElementById("output");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)',
			dropdownParent: $('#addNewdesignModal')
		});

		$('.pallete_select_box').select2({
			theme: 'classic',
			maximumSelectionLength: 1,
			placeholder: 'Select Pallete(s)',
			dropdownParent: $('#addNewdesignModal')
		});
	});
</script>