<?php
	$page_title = 'Designs';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">

					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Product Master Designs</h4>
					</div>

					<div class="row">

						<div class="col-md-6 mb-3">	

							<div class="table-search-phone">

								<form method="post">

					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">

					                <input type="submit" class="d-none" value="Submit" name="name_submit">

					            </form>

				            </div>

						</div>

					</div>

					<?php

					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

				     if( isset($_POST['name_submit']) ) :

				    	$query = master_design_search_name($_POST['s_name']);
				    else :

				    	$query = master_design_select_by_rank();
				    endif;

				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>
				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
										<?php if($_SESSION['userRole'] == 'admin') { ?>
						            	<th><i class="fas fa-cog"></i></th>
						            	<?php } ?>
										<th>Name</th>
										<th>Thumb</th>
										<th>Price</th>
										<th>Description</th>
										<th>Gradient</th>
										<th>Visibility</th>
										<th>Featured</th>
									</tr>
								</thead>
						         <tbody id="post_list"  data-table_name="wd_designs">
						        	<?php foreach ($results->data as $key => $result) { ?>
						        	<tr data-post_id="<?php echo $result['id']; ?>">
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center">
							        			<a href="master-design-layers.php?id=<?php echo $result['id']; if( $result['svg'] == 'Master' ) : echo '&lt=Master'; endif; ?>" class="me-1 btn btn-warning">
							        				<i class="fas fa-layer-group"></i>
							        			</a>
							                </div>
						                </td>
						            	<?php } ?>
						        		<td><?php echo $result['name'] .'|'. $result['svg']; ?></td>
						        		<td>
						        			<?php if( $result['main_image'] ) { ?>
					        				<img src="assets/uploads/<?php echo $result['main_image']; ?>" width="100">
						        			<?php } ?>
						        		</td>
						        		<td><?php echo $result['price'];?></td>
						        		<td><?php echo $result['description'];?></td>
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['linear_gradient'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['linear_gradient'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="linear_gradient" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['linear_gradient'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>



						        		</td>
						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="visible_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['visible'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="visible" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['visible'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>
						        		</td>

						        		<td>

						        			<div class="form-check form-switch d-flex px-0" id="featured_check">

											  	<input class="form-check-input mx-auto" type="checkbox" id="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>" <?php if( $result['featured'] == 'Y' ) : echo 'checked'; endif; ?> value="<?php echo $result['id']; ?>" data-col_name="featured" data-table_name="wd_designs">

											  	<label class="form-check-label" for="<?php if( $result['featured'] == 'Y' ) : echo 'flexSwitchCheckChecked'; else : echo 'flexSwitchCheckDefault'; endif; ?>"></label>

											</div>

						        		</td>
						        	</tr>
						        	<?php } ?>
						        </tbody>
						    </table>
						</div>
				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	

				</div>
			</main>
		</div>
	</div>

	
<?php include 'footer.php'; ?>
