<?php
$page_title = 'Orders History';
include 'header.php'; 
include 'functions.php'; 
require 'paginator.class.php';

?>
<div class="wrapper">
    <?php include 'sidebar.php'; ?>
    <div class="main">
        <?php include 'top-bar.php'; ?>
        <main class="content">
            <div class="container-fluid p-0">
                <div class="d-flex justify-content-between mb-3 align-items-center">
                    <h4 class="card-title mb-0"><?php echo $page_title; ?></h4>
                    <!-- <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewordersModal">
                    <i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
                    </button> -->
                </div>
                <div class="row">
                    <div class="col-md-6 mb-3">
                        <div class="table-search-phone">
                            <form method="post">
                                <input type="text" name="s_date" class="form-control" placeholder="Search by Date">
                                <input type="submit" class="d-none" value="Submit" name="date_submit">
                            </form>
                        </div>
                    </div>
                    <div class="col-md-6 mb-3"><a href="order-history.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
                </div>
                <?php
                    if( isset($_POST['btn-delete']) ) {
                    
                    	$delete_order =  $conn->query( order_delete($_POST['order-id']) );

                    	if( $delete_order ) {
                    		echo '<div class="alert alert-info alert-dismissable fade show">
                                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
                                    <strong>Record successfully deleted!</strong>.
                                </div>';
                    	}
                    }

                    $limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
                    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;                    
                    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 4;

                    if( isset($_POST['date_submit']) ) :
                    	$query = "SELECT DISTINCT `order_id`, `created_at` from `wd_orders` where `created_at`='".$_POST['s_date']."'";
                    elseif( isset($_GET['customerID']) ) :
                    	$query = "SELECT DISTINCT `order_id`, `created_at` from `wd_orders` where `customer_id`='".$_GET['customerID']."'";
                    else :
                    	$query =  "SELECT DISTINCT `order_id`, `created_at` from `wd_orders` order by `order_id` desc";
                    endif;

                    $paginator = new Pagination( $conn, $query );
                    $results = $paginator->getData( $limit, $page );
                    if($results->data) :

                    ?>
                <div class="card">
                    <div class="table-responsive">
                        <table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
                            <thead>
                                <tr>
                                    <?php if($_SESSION['userRole'] == 'admin') { ?>
                                    <th><i class="fas fa-cog"></i></th>
                                    <?php } ?>
                                    <th>ID</th>
                                    <th>Name</th>
                                    <th>Email</th>
                                    <th>Order Details</th>
                                    <th>Print / PDF</th>
                                    <th>Date</th>
                                </tr>
                            </thead>
                            <tbody id=""  data-table_name="wd_orders">
                                <?php foreach ($results->data as $key => $result) { 
                                	
                                	$cutomerID = $conn->query('SELECT `customer_id` from `wd_orders` where `order_id`="'. $result['order_id'] .'"')->fetch_assoc();
            						$customerDetails = $conn->query('SELECT * from `wd_customers` where `id`="'.$cutomerID['customer_id'].'"')->fetch_assoc();

            						$ordersResults = $conn->query('SELECT `id`, `order_id`, `options`, `main_image` from `wd_orders` where `order_id`="'. $result['order_id'] .'"');
                                ?>
                                <tr data-post_id="<?php echo $result['order_id']; ?>">
                                    <?php if($_SESSION['userRole'] == 'admin') { ?>
                                    <td align="center" class="text-center">
                                        <div class="d-flex justify-content-center align-items-center">
                                            <!-- <a href="edit.order.php?order_id=<?php echo $result['id']; ?>" class="me-1 btn btn-primary"> 
                                            <i class="fas fa-edit"></i>
                                            </a> -->
                                            <form method="post" class="form">
                                                <input type="hidden" name="order-id" value="<?php echo $result['order_id']; ?>">
                                                <button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
                                                	<i class="fas fa-trash-alt"></i>
                                                </button>
                                            </form>
                                        </div>
                                    </td>
                                    <?php } ?>
                                    <td><?php echo $result['order_id']; ?></td>
                                    <td><?php echo $customerDetails['name']; ?></td>
                                    <td><?php echo $customerDetails['email']; ?></td>
                                    <td>
                                    	<div class="table-responsive">
                                    		<table class="table table-borderb-0 my-0">
                                    			<?php

                                    			$message = '<style>
                                    			p {margin: 0;}
                                    			.fs-11 {font-size: 11px;}
                                    			</style>';
                                    			?>
                                    			<tr>
                                    				<!-- <td><?php echo '<img src="'.$url.'wd-admin/assets/order/'.$result['order_id'].'/'.$orderItem['id'].'/'.$orderItem['main_image'].'" alt="" class="img-fluid"'; ?></td> -->
                                    				<td>
                                    					<button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#Modal<?php echo $result['order_id']; ?>">View Details</button>
                                    					<?php
                                    					$message .= '<div class="modal order-item-template fade" id="Modal'.$result['order_id'].'" tabindex="-1" aria-labelledby="Modal'.$result['order_id'].'Label" aria-hidden="true">
															  <div class="modal-dialog modal-xl">
															    <div class="modal-content">
															      <div class="modal-body">
															      	<h4>Customer Details</h4>
															      	<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;">
									                                    <tbody>
									                                        <tr>
									                                            <td height="15" colspan="6"  >
									                                                <table width="100%" height="15" border="0" cellpadding="0" cellspacing="0" style="font-size: 11px;">
									                                                    <tbody>
									                                                        <tr>
									                                                            <td width="172" height="15" style="padding:5px; border: solid 1px black;"><strong>Name: '.$customerDetails['name'].'</strong> </td>
									                                                            <td width="172" height="15" style="padding:5px; border: solid 1px black;"><strong>Club/Organisation: '.$customerDetails['cluborg'].' </strong></td>
									                                                            <td width="134" height="15" style="padding:5px; border: solid 1px black;"><strong>Town/City: '.$customerDetails['towncity'].'</strong></td>
									                                                            <td width="119" height="15" style="padding:5px; border: solid 1px black;"><strong>Telephone:<br> '.$customerDetails['phone'].'</strong></td>
									                                                            <td width="146" height="15" style="padding:5px; border: solid 1px black;"><strong>Email: '.$customerDetails['email'].'</strong></td>
									                                                        </tr>
									                                                    </tbody>
									                                                </table>
									                                            </td>
									                                        </tr>
									                                    </tbody>
									                                </table>
									                                <h4 class="my-3">Order Details</h4>
									                                <div style="max-width:1200px; margin: 0 auto; width: 100%;">';
										                //$imagick = new Imagick();
												if( $ordersResults->num_rows > 0 ) :
                                    				foreach( $ordersResults as $orderItem ) :
										                
										                $orderOptions = unserialize( $orderItem['options'] );

										                $product_id = $orderOptions['product_id'];
										                $design_id = $orderOptions['design_id'];

										                $product = $conn->query("SELECT `name` from `wd_products` where `id`='".$product_id."'")->fetch_assoc();
										                $design = $conn->query("SELECT `name` from `wd_designs` where `id`='".$design_id."'")->fetch_assoc();

										                $colors = '';
										                if( isset($orderOptions['colors']) ) {
										                    $colors = $orderOptions['colors'];
										                }

										                $gradient = '';
										                if( isset($orderOptions['gradient']) )
										                    $gradient = $orderOptions['gradient'];

										                $decor = '';
										                if( isset($orderOptions['decor']) ) {
										                    $decor = $orderOptions['decor'];
										                }

										                $customize = '';
										                if( isset($orderOptions['customize']) ) {
										                    $customize = $orderOptions['customize'];
										                }

										                $name = '';
										                if( isset($orderOptions['name']) ) {
										                    $name = $orderOptions['name'];
										                    //$name['color'] = $customize['name'];
										                }

										                $number = '';
										                if( isset($orderOptions['number']) ) {
										                    $number = $orderOptions['number'];
										                    //$number['color'] = $customize['number'];
										                }

										                $optionsOpts = '';
										                if( isset($orderOptions['options']) ) {
										                    $optionsOpts = $orderOptions['options'];
										                }

										                $qtybox = '';
										                if( isset($orderOptions['qtybox']) ) {
										                    $qtybox = $orderOptions['qtybox'];
										                }

										                $team = '';
										                if( isset($orderOptions['team']) ) {
										                    $team = $orderOptions['team'];
										                }

										                // $name_number = '';
										                // if( is_array($name) )
										                // 	$name_number = $name;

										                // if( is_array($number) )
										                // 	$name_number = array_merge($name, $number);

										                //var_dump($name);
										                
										                $brandBackColor = $customize['l_brand2'];
										                $brandFrontColor = $customize['l_brand'];


										                $message .= '<table width="900" height="600" border="0" cellpadding="0" cellspacing="0" style=" font-family: arial;  margin-bottom:30px;">
										                    <tbody>
										                        <tr>
										                            <td valign="top">
										                                <table width="100%" height="465" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;">
										                                    <tbody>
										                                    	<tr>
										                                            <td width="300" height="25" style="border: solid 1px black;padding:5px"><strong>PRODUCT NAME: '.$product['name'].'</strong></td>
										                                            <td width="217" height="25" style="border: solid 1px black;padding:5px"><strong>DESIGN NAME:</strong> '.$design['name'].'</td>
										                                        </tr>
										                                        <tr>
										                                            <td colspan="6">
										                                                <table width="100%" height="366" border="0" cellpadding="0" cellspacing="0" style="font-size: 11px;">
										                                                    <tr>
										                                                        <td>&nbsp;</td>
										                                                        <td rowspan="20" align="center" valign="middle" style="text-align: center;">
										                                                        	<!--<img src="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/'. $orderItem['id'] .'-svg-to-png.png" width="500" />-->
										                                                        	<img src="'.$orderOptions['svgImageBase64']['encode'].'" alt="" width="500">
										                                                            <a href="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/'.$orderItem['main_image'] .'" target="_blank">DOWNLOAD</a>
										                                                        </td>
										                                                        <td>&nbsp;</td>
										                                                    </tr>
										                                                    <tr>
										                                                        <td height="15" align="center" style="border:solid 1px #000000; padding:5px"><strong>COLORS:</strong></td>
										                                                    </tr>
										                                                    <tr>
										                                                        <td align="center" valign="top" style="padding:5px">
										                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0"">';
										                                                                foreach ($colors as $colorKey => $color) {

										                                                                    $colorLayers = $conn->query("SELECT `layer_name` from `wd_design_layers` where `layer_id`='".$colorKey."' and `design_id`='".$design_id."'")->fetch_assoc();

										                                                                    if( isset( $colorLayers['layer_name'] ) ) {
										                                                                        if( isset($gradient[$colorKey]) ) {
										                                                                            $message .= '<tr>
										                                                                                <td width="100%" style="padding:10px 0;" align="center">
										                                                                                    <table width="90%" height="27" border="0" cellpadding="0" cellspacing="0">
										                                                                                        <tr style="display: flex; align-items:center; justify-content: space-between;">
										                                                                                            <td align="left" style="padding-right:10px; font-size:14px; width: 150px;">'.$colorLayers['layer_name'];
										                                                                                            $colors_pallete = $conn->query('SELECT `name` FROM `wd_colors` where `code`="'.$gradient[$colorKey][0].'"')->fetch_assoc();
										                                                                                            if( isset($colors_pallete['name']) )
										                                                                                            	$message .= '<p class="fs-11">'.$colors_pallete['name'].' | '.$gradient[$colorKey][0].'</p>';

										                                                                                            $colors_pallete = $conn->query('SELECT `name` FROM `wd_colors` where `code`="'.$gradient[$colorKey][1].'"')->fetch_assoc();
										                                                                                            if( isset($colors_pallete['name']) )
										                                                                                            	$message .= '<p class="fs-11">'.$colors_pallete['name'].' | '.$gradient[$colorKey][1].'</p>';

										                                                                                            $message .='</td>

										                                                                                            <td width="25" height="25" bgcolor="'.$gradient[$colorKey][0].'" style="border:solid 1px black; border-radius:100%; display: inline-block; float: right; margin-left: 5px;">&nbsp;</td>
										                                                                                            <td width="25" height="25" bgcolor="'.$gradient[$colorKey][1].'" style="border:solid 1px black; border-radius:100%; display: inline-block; float: right;">&nbsp;</td>
										                                                                                        </tr>
										                                                                                    </table>
										                                                                                </td>
										                                                                            </tr>';
										                                                                        } else {
										                                                                            $message .= '<tr>
										                                                                                <td width="100%" style="padding:10px 0;" align="center">
										                                                                                    <table width="90%" height="27" border="0" cellpadding="0" cellspacing="0">
										                                                                                        <tr>
										                                                                                            <td align="left" style="padding-right:10px; font-size:14px; width: 100%;">'.$colorLayers['layer_name'];
										                                                                                            $colors_pallete = $conn->query('SELECT `name` FROM `wd_colors` where `code`="'.$color.'"')->fetch_assoc();
										                                                                                            if( isset($colors_pallete['name']) )
										                                                                                            	$message .= '<p class="fs-11">'.$colors_pallete['name'].' | '.$color.'</p>';

										                                                                                            $message .='</td>
										                                                                                            <td width="25" height="25" bgcolor="'.$color.'" style="border:solid 1px black; border-radius:100%; display: inline-block; float: right;">&nbsp;</td>
										                                                                                        </tr>
										                                                                                    </table>
										                                                                                </td>
										                                                                            </tr>';
										                                                                        }
										                                                                    }
										                                                                }

										                                                                
										                                                                
										                                                            $message .= '<tr>
										                                                            		<td width="100%" style="padding:10px 0;" align="center">
							                                                                                    <table width="90%" height="27" border="0" cellpadding="0" cellspacing="0">
							                                                                                        <tr style="display: flex; align-items:center; justify-content: space-between;">
							                                                                                            <td align="left" style="padding-right:10px; font-size:14px; width: 150px;">Brand Front ';

							                                                                                            $colors_pallete = $conn->query('SELECT `name` FROM `wd_colors` where `code`="'.$brandFrontColor.'"')->fetch_assoc();
							                                                                                            if( isset($colors_pallete['name']) )
							                                                                                            	$message .= '<p class="fs-11">'.$colors_pallete['name'].' | '.$brandFrontColor.'</p>';

							                                                                                            $message .='</td>
							                                                                                            <td width="25" height="25" bgcolor="'.$brandFrontColor.'" style="border:solid 1px black; border-radius:100%; display: inline-block; float: right; margin-left: 5px;">&nbsp;</td>
							                                                                                        </tr>
							                                                                                    </table>
							                                                                                </td>
										                                                            	</tr>
										                                                            	<tr>
										                                                            		<td width="100%" style="padding:10px 0;" align="center">
							                                                                                    <table width="90%" height="27" border="0" cellpadding="0" cellspacing="0">
							                                                                                        <tr style="display: flex; align-items:center; justify-content: space-between;">
							                                                                                            <td align="left" style="padding-right:10px; font-size:14px; width: 150px;">Brand Back ';

							                                                                                            $colors_pallete = $conn->query('SELECT `name` FROM `wd_colors` where `code`="'.$brandBackColor.'"')->fetch_assoc();
							                                                                                            if( isset($colors_pallete['name']) )
							                                                                                            	$message .= '<p class="fs-11">'.$colors_pallete['name'].' | '.$brandBackColor.'</p>';

							                                                                                            $message .='</td>
							                                                                                            <td width="25" height="25" bgcolor="'.$brandBackColor.'" style="border:solid 1px black; border-radius:100%; display: inline-block; float: right; margin-left: 5px;">&nbsp;</td>
							                                                                                        </tr>
							                                                                                    </table>
							                                                                                </td>
										                                                            	</tr>
										                                                            </table>
										                                                            
										                                                        </td>
										                                                    </tr>';
										                                                        if( $decor ) {
										                                                            $message .= '<tr>
										                                                        <td height="15" align="center" style="border:solid 1px #000000; padding:5px"><strong>DECOR IMAGE:</strong></td>
										                                                    </tr>
										                                                    <tr><td>
										                                                        <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;">
										                                                            <tr>';

										                                                                foreach ($decor as $decorKey => $decorItem) {
										                                                                    $optName = '';
										                                                                    if (stripos($decorKey, "l_decor") !== false) {
										                                                                        $optName = 'Decor Image';
										                                                                        $message .= '<td align="center" valign="top"">
										                                                                            <table width="100%" border="0" cellspacing="0" cellpadding="0">
										                                                                                <tr>
										                                                                                    <td align="center" valign="top">
										                                                                                        <strong>
										                                                                                            <a href="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/decor/'.$orderItem['id'].'-'.$decorKey.'.svg" target="_blank" style="font-size:11px;" download="'.$decorItem.'">
										                                                                                                <img style="width:100px; display:block;" src="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/decor/'.$orderItem['id'].'-'.$decorKey.'-svg-to-png.png"
										                                                                                                <span style="display: block;">DOWNLOAD</span>
										                                                                                            </a>
										                                                                                        </strong>
										                                                                                    </td>
										                                                                                </tr>
										                                                                            </table>
										                                                                        </td>';
										                                                                    }
										                                                                }
										                                                            $message .= '</tr>
										                                                        </table></td></tr>';
										                                                        }
										                                                $message .= '
										                                                </table>
										                                            </td>
										                                        </tr>
										                                    </tbody>
										                                </table>';
										                                
										                                if( $name || $number ) {
										                                	$message .='<table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 12px; margin-bottom:10px;">
											                                	<tbody>
											                                		<tr>';
											                                		if(is_array($name)) {
											                                			foreach( $name as $key_name => $nam ) { //var_dump($nam);
											                                				$name_counter = null;
											                                				if( $key_name > 0 ) {
											                                					$name_counter = $key_name;
											                                				}
												                                			if( isset($nam['text-name'.$name_counter]) ) {
											                                				$message .= '<td align="center" valign="top" style="border:solid 1px black;">
											                                				<table width="100%" border="0" align="left" cellpadding="5" cellspacing="5" style="font-size: 12px;">
											                                					<tr>';
											                                					if( isset($nam['text-name'.$name_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Name:</strong> '. $nam['text-name'.$name_counter] .'</td>';
											                                					}
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($nam['font-family-name'.$name_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Font:</strong> '. $nam['font-family-name'.$name_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($nam['font-color-name'.$name_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Fill:</strong> '. $nam['font-color-name'.$name_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($nam['font-outline-color-name'.$name_counter]) ) {
											                                						$message .= '<td align="center" valign="top"><strong>Outline:</strong> '. $nam['font-outline-color-name'.$name_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
												                                				</table>
												                                			</td>';

												                                			}
												                                		}
												                                	}
												                                	if(is_array($number)) {
												                                		foreach( $number as $key_num => $num ) {
												                                			$num_counter = null;
											                                				if( $key_num > 0 ) {
											                                					$num_counter = $key_num;
											                                				}
												                                			if( isset($num['text-number'.$num_counter]) ) {
											                                				$message .= '<td align="center" valign="top" style="border:solid 1px black;">
										                                					<table width="100%" border="0" align="left" cellpadding="5" cellspacing="5" style="font-size: 12px;">
											                                					<tr>';
											                                					if( isset($num['text-number'.$num_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Number:</strong> '. $num['text-number'.$num_counter] .'</td>';
											                                					}
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($num['font-family-number'.$num_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Font:</strong> '. $num['font-family-number'.$num_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($num['font-color-number'.$num_counter]) ) {
											                                						$message .= '<td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>Fill:</strong> '. $num['font-color-number'.$num_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
											                                					<tr>';
											                                					if( isset($num['font-outline-color-number'.$num_counter]) ) {
											                                						$message .= '<td align="center" valign="top"><strong>Outline:</strong> '. $num['font-outline-color-number'.$num_counter] .'</td>';
											                                					}
											                                						
											                                					$message .='</tr>
												                                				</table>
												                                			</td>';

												                                			}
												                                		}
												                                	}
											                                		$message .= '</tr>
											                                	</tbody>
											                                </table>';
											                            }
										                                if( $customize ) {
										                                    //$message .= '<h4 style="margin: 20px 0 0;">LOGOS</h4>';

										                                    $message .= '
										                                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;margin: 5px 0 0;">';

										                                    $message .= '<tr>';

										                                    foreach ($customize as $customizeKey => $customizeItem) {

										                                        if( is_array($customizeItem) ) {

										                                            foreach($customizeItem as $layerKey => $layerItem) {
										                                                foreach($layerItem as $layerKey1 => $layerItem1 ) {

										                                                    $optName = '';
										                                                    if (stripos($layerKey1, "file") !== false) {

										                                                        $message .= '
										                                                        <td align="center" valign="top" style="border:solid 1px black;">';

										                                                        $optName = 'Image';
										                                                        $message .= '<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size: 11px;">
										                                                                <tr>
										                                                                    <td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>'.strtoupper(str_replace('_', ' ', $customizeKey)).' '.$layerKey.'</strong></td>
										                                                                </tr>
										                                                                <tr>
										                                                                    <td align="center" valign="top">
										                                                                        <strong>';
										                                                                            $message .= '<a download="'.$orderItem['id'].$customizeKey.'-'.$layerKey.'" href="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/logos/'.$orderItem['id'].$customizeKey.'-'.$layerKey.'.png" target="_blank" style="font-size:11px;">
										                                                                                    <img src="'.$url.'wd-admin/assets/order/'.$orderItem['order_id'].'/'.$orderItem['id'].'/logos/'.$orderItem['id'].$customizeKey.'-'.$layerKey.'.png" width="50" style="margin: 5px 0 0" />
										                                                                                    <span style="display: block;">DOWNLOAD</span>
										                                                                                </a>';
										                                                                        $message .= '</strong>
										                                                                    </td>
										                                                                </tr>
										                                                            </table>';

										                                                        $message .= '</td>';
										                                                    }
										                                                }
										                                            }
										                                        }
										                                    }

										                                    $message .= '</tr>';

										                                    $message .= '</table>';
										                                }

										                                if( $optionsOpts ) {
										                                    //$message .= '<h4 style="margin: 20px 0 0;">LOGOS</h4>';

										                                    $message .= '
										                                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;margin: 5px 0 0;">';

										                                    $message .= '<tr>';

										                                    foreach ($optionsOpts as $optionsOptKey => $optionsOptItem) {
										                                        
										                                        if( !empty($optionsOptItem) ) {
										                                        	$message .= '<td align="center" valign="top" style="border:solid 1px black;">';
										                                        
										                                        	$message .= '<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size: 11px;">
						                                                                <tr>
						                                                                    <td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>'.$optionsOptKey.'</strong></td>
						                                                                </tr>
						                                                                <tr>
						                                                                    <td align="center" valign="top">
						                                                                        <strong>';
						                                                                        if( strpos($optionsOptItem, 'wd-admin') ) {
						                                                                        	$message .= '<img src="'.$url. $optionsOptItem.'" width="50" style="margin: 5px 0 0" />';
						                                                                        } else {
						                                                                        	$message .= '<span style="display: block;">'.$optionsOptItem.'</span>';
						                                                                        }
						                                                                            
						                                                                            
						                                                                        $message .= '</strong>
						                                                                    </td>
						                                                                </tr>
						                                                            </table>';
						                                                            $message .= '</td>';
										                                        }
										                                    }

										                                    $message .= '</tr>';

										                                    $message .= '</table>';
										                                }

										                                if( $qtybox ) {
										                                    //$message .= '<h4 style="margin: 20px 0 0;">LOGOS</h4>';

										                                    $message .= '
										                                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;margin: 5px 0 0;">';

										                                    $message .= '<tr>';

										                                    foreach ($qtybox as $qtyboxKey => $qtyboxItem) {

										                                        if( !empty($qtyboxItem) ) {
										                                        	$message .= '<td align="center" valign="top" style="border:solid 1px black;">';
										                                        
										                                        	$message .= '<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size: 11px;">
						                                                                <tr>
						                                                                    <td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>'.$qtyboxKey.'</strong></td>
						                                                                </tr>
						                                                                <tr>
						                                                                    <td align="center" valign="top">
						                                                                        <strong>';
						                                                                        	$message .= '<span style="display: block;">'.$qtyboxItem.'</span>';
						                                                                        $message .= '</strong>
						                                                                    </td>
						                                                                </tr>
						                                                            </table>';
						                                                            $message .= '</td>';
										                                        }
										                                    }

										                                    $message .= '</tr>';

										                                    $message .= '</table>';
										                                }

										                                if( $team ) {
										                                    //$message .= '<h4 style="margin: 20px 0 0;">LOGOS</h4>';

										                                    $message .= '
										                                    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0" style="font-size: 11px;margin: 5px 0 0;">';

										                                    $message .= '<tr>';

										                                    foreach ($team as $teamKey => $teamItem) {

									                                        	$message .= '<td align="center" valign="top" style="border:solid 1px black;">';
									                                        	$message .= '<table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size: 11px;">
					                                                                <tr>
					                                                                    <td align="center" valign="top" style="border-bottom:solid 1px black;"><strong>'.$teamKey.'</strong></td>
					                                                                </tr>
					                                                                <tr>
					                                                                    <td align="center" valign="top">
					                                                                        <table width="100%" border="0" cellspacing="0" cellpadding="0" style="font-size: 11px;">';

					                                                                        foreach($teamItem as $playerKey => $player) {
					                                                                        	$message .= '<tr>
					                                                                        		<td align="center" valign="top" style="border-bottom:solid 1px black;">Player Name: <strong>'.$player['playerName'].'</strong></td>
					                                                                        		<td align="center" valign="top" style="border-bottom:solid 1px black;">Player Number: <strong>'.$player['playerNumber'].'</strong></td>
					                                                                        		<td align="center" valign="top" style="border-bottom:solid 1px black;">Player Size: <strong>'.$player['playerSize'].'</strong></td>
					                                                                        	</tr>';
					                                                                        }

					                                                                    	$message .= '</table>
					                                                                    </td>
					                                                                </tr>
					                                                            </table>';
					                                                            $message .= '</td>';
										                                    }

										                                    $message .= '</tr>';

										                                    $message .= '</table>';
										                                }



										                            $message .= '</td>
										                        </tr>
										                    </tbody>
										                </table>';

                                    					?>
                                    			<?php
                                    				endforeach;
                                    			endif;
                                    					$message .= '</div>
										                			
											            			</div>
											            		</div>
											            	  </div>
											            	</div>';
                                    					echo $message; 
                                    			?>
                                    				</td>
                                    			</tr>
                                    		</table>
                                    	</div>
                                    </td>
                                    <td>
                                    	<button type="button" class="btn btn-primary" id="print<?php echo $result['order_id']; ?>" onclick="PrintOrderImages('visible_printer<?php echo $result['order_id']; ?>')"><i class="fas fa-print"></i></button>
                                    	<div id="visible_printer<?php echo $result['order_id']; ?>" class="visible_printer d-none">
										    <div class="row" style="width: 100%;">
										        <?php
										            foreach($ordersResults as $orderItem) :
										        ?>
										            <div class="col-md-6" style="width: 100%; float: left; text-align: center;">
										                <div class="row align-items-center">
										                    <div class="col-md-12">
										                        <img src="<?php echo $url; ?>wd-admin/assets/order/<?php echo $orderItem['order_id']; ?>/<?php echo $orderItem['id']; ?>/<?php echo $orderItem['main_image']; ?>" class="img-fluid rounded-3" alt="<?php echo $design['name'] .' '. $product['name']; ?>" style="width: 100%;">
										                        <h3 style="text-align: center; margin: 20px 0;"><?php echo $design['name'] .' '. $product['name']; ?></h3>
										                    </div>
										                </div>
										            </div>
										        <?php
										            endforeach;
										        ?>
										    </div>
										</div>
                                    </td>
                                    <td><?php echo $result['created_at']; ?></td>
                                </tr>
                                <?php } ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="panel-footer">
                    <div class="row">
                        <div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
                        </div>
                        <div class="col-12 mt-5 text-center">
                            <?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
                        </div>
                    </div>
                </div>
                <?php else : ?>
                <div class="alert alert-info text-center">No result(s) found.</div>
                <?php endif; ?>	
            </div>
        </main>
    </div>
</div>

<?php include 'footer.php'; ?>

<script>
	function PrintOrderImages(id) {
        var printContent = window.open('', 'Order Images', '');
        printContent.document.write('<html><head><title>' + document.title  + '</title>');
        printContent.document.write('</head><body >');
        printContent.document.write(document.getElementById(id).innerHTML);
        printContent.document.write('</body></html>');
        printContent.document.close(); // necessary for IE >= 10

        printContent.onload=function(){ // necessary if the div contain images

            printContent.focus(); // necessary for IE >= 10
            printContent.print();
            printContent.close();
        };
    }
</script>