<?php
	$page_title = 'Product Attributes';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Product Attributes</h4>
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewProductOptsModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
					</div>
					<div class="row">
						<div class="col-md-6 mb-3">	
							<div class="table-search-phone">
								<form method="post">
					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
					                <input type="submit" class="d-none" value="Submit" name="name_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-6 mb-3"><a href="product-attributes.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>

					<?php

			    	if( isset($_POST['product-attributes-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database

			    		$insertattributes = $conn->query("INSERT into `wd_product_attributes` (`name`,`attributes`) values ('".$_POST['name']."', '".$_POST['attrs']."') ");

		    			$attr_id = $conn->insert_id;

			    		foreach( $_POST['product_id'] as $pid ) {

			    			$updateProduct = $conn->query("UPDATE `wd_products` SET `attribute_id`='".$attr_id."' where `id`='".$pid."'");
				    	}

			    		if( $insertattributes ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

			    	if( isset($_POST['btn-delete']) ) {

			    		foreach( $_POST['product_id'] as $pid ) {

			    			$updateProduct = $conn->query("UPDATE `wd_products` SET `attribute_id`='' where `id`='".$pid."'");
			    		}

			    		$delete_design =  $conn->query( product_attributes_delete($_POST['id']) );

			    		if( $delete_design ) {
			    			echo '<div class="alert alert-info alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Record successfully deleted!</strong>.
				                </div>';
			    		}
			    	}

					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

				     if( isset($_POST['name_submit']) ) :

				    	$query = product_attributes_search($_POST['s_name']);
				    else :

				    	$query = product_attributes_select();
				    endif;

				    //$query      = design_select();

				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>
				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
										<?php if($_SESSION['userRole'] == 'admin') { ?>
						            	<th><i class="fas fa-cog"></i></th>
						            	<?php } ?>
										<th>Name</th>
										<th>Attributes</th>
									</tr>
								</thead>
						         <tbody id=""  data-table_name="wd_product_attributes">
						        	<?php foreach ($results->data as $key => $result) { 

						        		$product = $conn->query(" SELECT `id` from `wd_products` where `attribute_id`='".$result['id']."' ");
						        	?>
						        	<tr>
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center">
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="id" value="<?php echo $result['id']; ?>">
							                      	<?php foreach( $product as $prod ) { ?>
							                      	<input type="hidden" name="product_id[]" value="<?php echo $prod['id']; ?>">
							                      	<?php } ?>
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						            	<td><?php echo $result['name']; ?></td>
						            	<td><?php echo $result['attributes']; ?></td>
						        	</tr>
						        	<?php } ?>
						        </tbody>
						    </table>
						</div>
				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	

				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewProductOptsModal" tabindex="-1" aria-labelledby="addNewProductOptsLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewProductOptsLabel">Add New Product Attribute</h5>
				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				  	</div>
				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
									<option value="">Select Product</option>
									<?php 
									$products = $conn->query(product_select());
									if( $products ) :
										foreach ($products as $product) :
									?>
									<option value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>
							<div class="col-md-12 form-group">
								<input type="text" placeholder="Name" name="name" class="form-control" required>
							</div>
							<div class="product-attributes">
								<div class="product-opt">
									<div class="col-md-12 form-group">
										<input type="text" placeholder="XS,S,M,L,XL,XXL" name="attrs" class="form-control" required>
									</div>
								</div>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="product-attributes-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	// $('.more-attributes-toggle').on('click', function() {
	// 	$('.product-attributes').append('<div class="product-opt">'
	// 								+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
	// 									+'<input type="text" placeholder="Title" name="title[]" class="form-control" required>'
	// 								+'</div>'
	// 								+'<div class="col-md-2 form-group text-center">'
	// 									+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
	// 								+'</div></div></div>'
	// 								+'<div class="col-md-12 form-group">'
	// 									+'<input type="text" placeholder="Attribute" name="attrs[]" class="form-control" required>'
	// 								+'</div>'
	// 							+'</div>');
	// });

	// $('.product-attributes').on('click', '.product-opt-remove', function(){
	// 	$(this).closest('.product-opt').remove();
	// })

	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)',
			dropdownParent: $('#addNewProductOptsModal')
		});
	});

</script>