<?php
	$page_title = 'Product Options';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Product Options</h4>
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewProductOptsModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
					</div>
					<div class="row">
						<div class="col-md-6 mb-3">	
							<div class="table-search-phone">
								<form method="post">
					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
					                <input type="submit" class="d-none" value="Submit" name="name_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-6 mb-3"><a href="product-options.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>

					<?php

			    	if( isset($_POST['product-options-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		// foreach( $_POST['product_id'] as $pid ) {
				    		
				    	// }
				    	$productIds = implode(',', $_POST['product_id']);
				    	foreach ($_POST['title'] as $key => $title) {
				    			
			    			$insertOptions = $conn->query(" INSERT INTO `wd_product_options` (`product_id`, `title`, `description`) values ( '".$productIds."', '".$title."', '".$_POST['editordata'][$key]."' ) ");
			    		}

			    		if( $insertOptions ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

			    	if( isset($_POST['btn-delete']) ) {
			    		$delete_design =  $conn->query( product_options_delete($_POST['product-id']) );

			    		if( $delete_design ) {
			    			echo '<div class="alert alert-info alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Record successfully deleted!</strong>.
				                </div>';
			    		}
			    	}

					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

				     if( isset($_POST['name_submit']) ) :

				    	$query = product_options_search_by_product_name($_POST['s_name']);
				    else :

				    	$query = " SELECT DISTINCT `product_id` from `wd_product_options`";
				    endif;

				    //$query      = design_select();

				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>
				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
										<?php if($_SESSION['userRole'] == 'admin') { ?>
						            	<th><i class="fas fa-cog"></i></th>
						            	<?php } ?>
										<th>Product Name</th>
										<th>Category</th>
									</tr>
								</thead>
						         <tbody id=""  data-table_name="wd_product_options">
						        	<?php foreach ($results->data as $key => $result) { 

						        		$product = $conn->query(" SELECT `name`, `category_id` from `wd_products` where `id`='".$result['product_id']."' ")->fetch_assoc();
						        	?>
						        	<tr>
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center">
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="product-id" value="<?php echo $result['product_id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						            	<td><?php echo $product['name']; ?></td>
						        		<td>
					        			<?php

						        		$category_ids = explode('|', $product['category_id']);

						        		$totalNumCats = count($category_ids);

						        		foreach( $category_ids as $cat_id ) :
							        		$categories = $conn->query( category_by_id($cat_id) );
							        			foreach( $categories as $key => $category ) :
						        		?>
						        				<?php echo $category['name']; ?>

						        		<?php if($key != --$totalNumCats) : echo ' | '; endif; endforeach; endforeach; ?>
						        		</td>
						        		<td>
						        			<a href="edit.product-options.php?product_id=<?php echo $result['product_id']; ?>" class="btn btn-primary">Options</a>
						        		</td>
						        	</tr>
						        	<?php } ?>
						        </tbody>
						    </table>
						</div>
				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	

				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewProductOptsModal" tabindex="-1" aria-labelledby="addNewProductOptsLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewProductOptsLabel">Add New Product Options</h5>
				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				  	</div>
				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
									<option value="">Select Product</option>
									<?php 
									$products = $conn->query(product_select()); 
									if( $products ) :
										foreach ($products as $product) :
									?>
									<option value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>
							<div class="product-options">
								<div class="product-opt">
									<div class="col-md-12 form-group">
										<input type="text" placeholder="Title" name="title[]" class="form-control" required>
									</div>
									<div class="col-md-12 form-group">
										<textarea id="summernote" name="editordata[]"></textarea>
									</div>
								</div>
							</div>
							<div class="col-12 text-center">
								<button type="button" class="more-options-toggle btn btn-info">Add More</button>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="product-options-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	var xcount = 0;
	$('.more-options-toggle').on('click', function() {
		++xcount;
		$('.product-options').append('<div class="product-opt">'
									+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
										+'<input type="text" placeholder="Title" name="title[]" class="form-control" required>'
									+'</div>'
									+'<div class="col-md-2 form-group text-center">'
										+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
									+'</div></div></div>'
									+'<div class="col-md-12 form-group">'
										+'<textarea id="summernote-'+xcount+'" name="editordata[]"></textarea>'
									+'</div>'
								+'</div>');
		$('#summernote-'+xcount).summernote({
	        placeholder: 'Description',
	        tabsize: 2,
	        height: 100
	  	});
	});

	$('.product-options').on('click', '.product-opt-remove', function(){
		$(this).closest('.product-opt').remove();
	})

	var loadFile = function (event) {
	  var image = document.getElementById("output");
	  image.src = URL.createObjectURL(event.target.files[0]);
	};
	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)',
			dropdownParent: $('#addNewProductOptsModal')
		});
	});

	$('#summernote').summernote({
        placeholder: 'Description',
        tabsize: 2,
        height: 100
  	});

</script>