<?php
	$page_title = 'Product Variations';
	include 'header.php'; 
	include 'functions.php'; 
	require 'paginator.class.php';
?>

	<div class="wrapper">
		<?php include 'sidebar.php'; ?>

		<div class="main">
			<?php include 'top-bar.php'; ?>

			<main class="content">
				<div class="container-fluid p-0">
					<div class="d-flex justify-content-between mb-3 align-items-center">
						<h4 class="card-title mb-0">Product Variations</h4>
			            <button class="btn btn-primary btn-xl" type="button" data-bs-toggle="modal" data-bs-target="#addNewProductVarsModal">
							<i class="align-middle" data-feather="plus"></i> <span class="align-middle">Add</span>
						</button>
					</div>
					<div class="row">
						<div class="col-md-6 mb-3">	
							<div class="table-search-phone">
								<form method="post">
					                <input type="text" name="s_name" class="form-control" placeholder="Search by Name">
					                <input type="submit" class="d-none" value="Submit" name="name_submit">
					            </form>
				            </div>
						</div>
						<div class="col-md-6 mb-3"><a href="product-variations.php" class="btn btn-success btn-xl float-end"><i class="fas fa-sync-alt"></i></a></div>
					</div>

					<?php

			    	if( isset($_POST['product-variations-add-submit']) && $_SERVER['REQUEST_METHOD'] == "POST" ) {
			    		//inserting data into the database
			    		// foreach( $_POST['product_id'] as $pid ) {
				    	// }

				    	$productIds = implode(',', $_POST['product_id']);
				    	foreach ($_POST['variations'] as $key => $variation) {

			    			$imgArray = array();
			    			$selectBoxArray = array();

			    			foreach($_FILES['variations']['name'][$key] as $imgKey => $varImg) {
			    				$imageName = image_upload_in_array($_FILES['variations']['name'][$key][$imgKey]['file'], $_FILES['variations']['size'][$key][$imgKey]['file'], $_FILES['variations']['tmp_name'][$key][$imgKey]['file']);
			    				
			    				array_push($imgArray, $imageName);
			    			}

			    			if ($imgArray) {
								$image = implode(',', $imgArray);
							} else {
								$image = '';
							}

							foreach( $variation['selectBox'] as $selectOptKey => $selectOpt ) {
								array_push($selectBoxArray, $selectOpt);
							}

							if ($selectBoxArray) {
								$select = implode(',', $selectBoxArray);
							} else {
								$select = '';
							}

			    			$insertVariations = $conn->query(" INSERT INTO `wd_product_variations` (`product_id`, `title`, `description`, `thumb_image`, `main_image`) values ( '".$productIds."', '".$variation['title']."', '".$variation['editordata']."', '".$select."', '".$image."' ) ");
			    		}

			    		if( $insertVariations ) {
			    			echo '<div class="alert alert-success alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Success!</strong> Record successfully inserted.
					                </div>';
			            } else {
			            	echo '<div class="alert alert-danger alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
					                    <strong>Error!</strong> Record insertion not completed.'. $conn->error .'
					                </div>';
			            }
			    	}

			    	if( isset($_POST['btn-delete']) ) {
			    		$delete_design =  $conn->query( product_variations_delete($_POST['product-id']) );

			    		if( $delete_design ) {
			    			echo '<div class="alert alert-info alert-dismissable fade show">
				                    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
				                    <strong>Record successfully deleted!</strong>.
				                </div>';
			    		}
			    	}

					// using the paginator
					$limit      = ( isset( $_GET['limit'] ) ) ? $_GET['limit'] : $record_per_page;
				    $page       = ( isset( $_GET['page'] ) ) ? $_GET['page'] : 1;
				    $links      = ( isset( $_GET['links'] ) ) ? $_GET['links'] : 2;

				     if( isset($_POST['name_submit']) ) :

				    	$query = product_variations_search_by_product_name($_POST['s_name']);
				    else :

				    	$query = " SELECT DISTINCT `product_id` from `wd_product_variations`";
				    endif;

				    //$query      = design_select();

				    $paginator = new Pagination( $conn, $query );

				    $results = $paginator->getData( $limit, $page );

				    if($results->data) :

				    ?>
				    <div class="card">
					    <div class="table-responsive">
							<table class="table text-center table-hover my-0 table-borderb-0" id="table_custom">
								<thead>
									<tr>
										<?php if($_SESSION['userRole'] == 'admin') { ?>
						            	<th><i class="fas fa-cog"></i></th>
						            	<?php } ?>
										<th>Product Name</th>
										<th>Category</th>
									</tr>
								</thead>
						         <tbody id=""  data-table_name="wd_product_variations">
						        	<?php foreach ($results->data as $key => $result) { 

						        		$product = $conn->query(" SELECT `name`, `category_id` from `wd_products` where `id`='".$result['product_id']."' ")->fetch_assoc();
						        	?>
						        	<tr>
						        		<?php if($_SESSION['userRole'] == 'admin') { ?>
						        		<td align="center" class="text-center">
						        			<div class="d-flex justify-content-center align-items-center">
							                  	<form method="post" class="form">
							                      	<input type="hidden" name="product-id" value="<?php echo $result['product_id']; ?>">
							                      	<button type="submit" onclick="return confirm('Are you sure?')" class="btn btn-danger" name="btn-delete">
							                      		<i class="fas fa-trash-alt"></i>
							                      	</button>
							                    </form>
							                </div>
						                </td>
						            	<?php } ?>
						            	<td><?php echo $product['name']; ?></td>
						        		<td>
					        			<?php

						        		$category_ids = explode('|', $product['category_id']);

						        		$totalNumCats = count($category_ids);

						        		foreach( $category_ids as $cat_id ) :
							        		$categories = $conn->query( category_by_id($cat_id) );
							        			foreach( $categories as $key => $category ) :
						        		?>
						        				<?php echo $category['name']; ?>

						        		<?php if($key != --$totalNumCats) : echo ' | '; endif; endforeach; endforeach; ?>
						        		</td>
						        		<td>
						        			<a href="edit.product-variations.php?product_id=<?php echo $result['product_id']; ?>" class="btn btn-primary">Variations</a>
						        		</td>
						        	</tr>
						        	<?php } ?>
						        </tbody>
						    </table>
						</div>
				    </div>
				    <div class="panel-footer">
				        <div class="row">
				        	<div class="col-12">Showing <?php echo count($results->data); ?> out of <?php echo $results->total; ?> result(s)
				          	</div>
				          	<div class="col-12 mt-5 text-center">
				            	<?php echo $paginator->createLinks( $links, "pagination pagination-sm justify-content-center" ); ?>
				          	</div>
				        </div>
				  	</div>
				  	<?php else : ?>
				    <div class="alert alert-info text-center">No result(s) found.</div>
				    <?php endif; ?>	

				</div>
			</main>
		</div>
	</div>

	<div class="modal fade" id="addNewProductVarsModal" tabindex="-1" aria-labelledby="addNewProductVarsLabel" aria-hidden="true">
		<div class="modal-dialog ">
			<div class="modal-content">
				<form class="form" action="" method="post" enctype="multipart/form-data">
				  	<div class="modal-header">
				    	<h5 class="modal-title" id="addNewProductVarsLabel">Add New Product Variations</h5>
				    	<button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
				  	</div>
				  	<div class="modal-body">
						<div class="row">
							<div class="col-md-12 form-group">
								<select class="form-select product_select_box" style="width: 100%; height: 50px;" name="product_id[]" required multiple>
									<option value="">Select Product</option>
									<?php 
									$products = $conn->query(product_select()); 
									if( $products ) :
										foreach ($products as $product) :
									?>
									<option value="<?php echo $product['id']; ?>"><?php echo $product['name']; ?></option>
									<?php endforeach; endif; ?>
								</select>
							</div>
							<div class="product-variations">
								<div class="product-opt">
									<div class="col-md-12 form-group">
										<input type="text" placeholder="Title" name="variations[0][title]" class="form-control" required>
									</div>
									<div class="col-md-12 form-group">
										<textarea id="summernote" name="variations[0][editordata]"></textarea>
									</div>
									<div class="row selectBox-wrapper">
										<div class="col-md-4 form-group selectBox-inner d-flex align-items-center">
											<input type="text" placeholder="Option" name="variations[0][selectBox][]" class="form-control">
											<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>
										</div>
									</div>
									<div class="col-12 mb-3 text-center">
										<button type="button" class="more-select-toggle btn btn-info"><i class="fa fa-plus"></i> Options</button>
									</div>
									<div class="row variationImgsOpt">
										<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="0">
											<h4 class="card-title text-center">Image</h4>
											<div class="profile-pic-box mb-3">
												<div class="profile-pic">
												  	<label class="-label" for="file">
													    <span class="fas fa-camera"></span>
													    <span>Upload Image</span>
													    <p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>
												  	</label>
												  	<input id="file" type="file" name="variations[0][0][file]" accept=".png, .jpg, .jpeg, .gif, .svg">
												  	<img src="img/placeholder.png" id="output" alt="">
												</div>
											</div>
											<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>
										</div>
									</div>
									<div class="col-12 mb-3 text-center">
										<button type="button" class="more-images-toggle btn btn-info"><i class="fa fa-plus"></i> Images</button>
									</div>
								</div>
							</div>
							<div class="col-12 text-center">
								<button type="button" class="more-variations-toggle btn btn-info">Add More Rows</button>
							</div>
						</div>
				  	</div>
				  	<div class="modal-footer btn-group w-100">
					    <button type="button" class="btn btn-secondary btn-xl" data-bs-dismiss="modal">Cancel</button>
					    <button type="submit" class="btn btn-primary btn-xl" name="product-variations-add-submit">Add</button>
				  	</div>
			  	</form>
			</div>
		</div>
	</div>

<?php include 'footer.php'; ?>
<script>
	var xcount = 0;
	var imgcount = 0;
	var selectcount = 0;
	$('.more-variations-toggle').on('click', function() {
		imgcount = 0;
		selectcount = 0;
		++xcount;
		$('.product-variations').append('<div class="product-opt">'
									+'<div class="col-12"><div class="row align-items-center"><div class="col-md-10 form-group">'
										+'<input type="text" placeholder="Title" name="variations['+xcount+'][title]" class="form-control" required>'
									+'</div>'
									+'<div class="col-md-2 form-group text-center">'
										+'<button type="button" class="product-opt-remove btn btn-danger"><i class="fas fa-trash"></i></button>'
									+'</div></div></div>'
									+'<div class="col-md-12 form-group">'
										+'<textarea id="summernote-'+xcount+'" name="variations['+xcount+'][editordata]"></textarea>'
									+'</div>'
									+'<div class="row selectBox-wrapper">'
										+'<div class="col-md-4 form-group selectBox-inner d-flex align-items-center">'
											+'<input type="text" placeholder="Option" name="variations['+xcount+'][selectBox][]" class="form-control">'
											+'<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
									+'<div class="col-12 mb-3 text-center">'
										+'<button type="button" class="more-select-toggle btn btn-info"><i class="fa fa-plus"></i> Options</button>'
									+'</div>'
									+'<div class="row variationImgsOpt">'
										+'<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="'+imgcount+'">'
											+'<h4 class="card-title text-center">Image</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file-'+xcount+'-'+imgcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload Image</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file-'+xcount+'-'+imgcount+'" type="file" name="variations['+xcount+']['+imgcount+'][file]" accept=".svg">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
											+'<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
									+'<div class="col-12 mb-3 text-center">'
										+'<button type="button" class="more-images-toggle btn btn-info"><i class="fa fa-plus"></i> Images</button>'
									+'</div>'
								+'</div>');
		$('#summernote-'+xcount).summernote({
	        placeholder: 'Description',
	        tabsize: 2,
	        height: 100
	  	});
	});

	$('#addNewProductVarsModal').on('click', '.more-images-toggle', function() {
		//xcount = Number( $(this).closest('.product-opt').index() );
		
		imgcount = Number( $(this).parent().siblings('.variationImgsOpt').find('.variationImgsOpt-inner').length );
		//++imgcount;
		$(this).parent().siblings('.variationImgsOpt').append('<div class="col-md-6 variationImgsOpt-inner" data-imgCounter="'+imgcount+'">'
											+'<h4 class="card-title text-center">Image</h4>'
											+'<div class="profile-pic-box mb-3">'
												+'<div class="profile-pic">'
												  	+'<label class="-label" for="file-'+xcount+'-'+imgcount+'">'
													    +'<span class="fas fa-camera"></span>'
													    +'<span>Upload Image</span>'
													    +'<p class="text-center mb-0"><i class="fas fa-pencil-alt"></i></p>'
												  	+'</label>'
												  	+'<input id="file-'+xcount+'-'+imgcount+'" type="file" name="variations['+xcount+']['+imgcount+'][file]" accept=".svg">'
												  	+'<img src="img/placeholder.png" alt="">'
												+'</div>'
											+'</div>'
											+'<button type="button" class="delete-images-toggle btn btn-danger"><i class="fa fa-trash"></i></button>'
										+'</div>'
									+'</div>'
								+'</div>');
	});

	$('#addNewProductVarsModal').on('click', '.more-select-toggle', function() {
		//console.log('yes');
		selectcount = Number( $(this).parent().siblings('.selectBox-wrapper').find('.selectBox-inner').length );
		//++selectcount;
		$(this).parent().siblings('.selectBox-wrapper').append('<div class="col-md-4 selectBox-inner form-group d-flex align-items-center">'
											+'<input type="text" placeholder="Option" name="variations['+xcount+'][selectBox][]" class="form-control">'
											+'<button type="button" class="delete-seletopts-toggle btn btn-danger ms-2"><i class="fa fa-trash"></i></button>'
										+'</div>');
	});

	$('.product-variations').on('change', '.profile-pic input', function(event){
	  	$(this).siblings('img').attr('src', URL.createObjectURL(event.target.files[0]));
	});

	$('.product-variations').on('click', '.delete-seletopts-toggle', function(){
		$(this).closest('.selectBox-inner').remove();
	});

	$('.product-variations').on('click', '.delete-images-toggle', function(){
		$(this).closest('.variationImgsOpt-inner').remove();
	});

	$('.product-variations').on('click', '.product-opt-remove', function(){
		$(this).closest('.product-opt').remove();
	})

	$(document).ready(function() {
		$('.product_select_box').select2({
			theme: 'classic',
			placeholder: 'Select Product(s)',
			dropdownParent: $('#addNewProductVarsModal')
		});
	});

	$('#summernote').summernote({
        placeholder: 'Description',
        tabsize: 2,
        height: 100
  	});

</script>